#!/bin/bash
# FontScale - 8 point fonts on small screens, 10 point on not small screens
# Andrew Wyatt

if [ ! -d "$HOME/.fuduntu" ]; then
  mkdir $HOME/.fuduntu >/dev/null 2>&1
fi

if [ ! -e "$HOME/.fuduntu/fontscale" ]; then
  HEIGHT=$(/usr/bin/xrandr 2>/dev/null| grep "\*" | awk '{print $1}' | cut -dx -f 2 | head -n 1)
  if [[ "$HEIGHT" -gt "600" ]]; then
    gconftool-2 -t str -s /desktop/gnome/interface/font_name "Sans 10"
    gconftool-2 -t str -s /apps/nautilus/preferences/desktop_font "Sans 10"
    gconftool-2 -t str -s /desktop/gnome/interface/document_font_name "Sans 10"
    gconftool-2 -t str -s /desktop/gnome/interface/monospace_font_name "Monospace 12"
    gconftool-2 -t str -s /apps/metacity/general/titlebar_font "Sans Bold 10"
  else
    gconftool-2 -t str -s /desktop/gnome/interface/font_name "Sans 8"
    gconftool-2 -t str -s /apps/nautilus/preferences/desktop_font "Sans 8"
    gconftool-2 -t str -s /desktop/gnome/interface/document_font_name "Sans 8"
    gconftool-2 -t str -s /desktop/gnome/interface/monospace_font_name "Monospace 10"
    gconftool-2 -t str -s /apps/metacity/general/titlebar_font "Sans Bold 8"
  fi
  touch $HOME/.fuduntu/fontscale
fi
